# LOGEEK LICENSE TERMS AND CONDITIONS

These terms and conditions and the corresponding subscription order, when validated by LoGeek (“**Order**”), form the “**Agreement**”.  

The Agreement is made and entered into by and between (i) LoGeek, a French law corporation having a place of business at 12 rue des tulipes, Les Grands Andreaux, 17430 Champdolent, France, and with registration number R.C.S. Saintes 483 514 691, and (ii) the customer identified on the Order (“**Licensee**” or “**You**”).

The Agreement sets forth the terms and conditions under which LoGeek will grant to the Licensee a license to use the Software.

In the event of contradiction between the Order and the present terms and conditions, the Order shall prevail.

__**In order to get a license to use the Software, the Licensee must agree to these terms and conditions (the “Terms”). If the Licensee does not agree to these Terms, the Licensee is not permitted to use the Software.**__

The Representative accepts and agrees to these Terms on behalf of the Licensee as its authorized legal representative, by doing either of the following: “checking the box displayed at the beginning of these terms” and/or “clicking an “Agree” or similar button”, or by doing any similar action.

The Representative that completes the Order and accepts and agrees to these Terms represents that he has the right and authority to legally bind the Licensee to enter into this Agreement. 

The Software must be used for business purposes only. Non-professional use of the Software is not authorized.

## ARTICLE 1 - DEFINITIONS

In this Agreement, the terms used hereunder shall have the following meaning unless the context otherwise requires:

* “**Agreement**“: means these Terms and the corresponding Order.

* “**Data Protection Laws**”: means, with respect to European Union member countries, the EU General Protection Regulation 2016/679 (the “**Regulation**”) and any applicable subordinate legislation, save that in the event of any conflict between the provisions of the EU General Protection Regulation and data protection laws, the Regulation shall prevail. For other countries, “Data Protection Laws” means laws similar to or addressing the same subject matter as the Regulation.

* “**Documentation**”: means the related user documentation for the Software.

* “**Error**”: means any material failure of the Software to conform substantially to the Documentation applicable to the Software at the time the Software was delivered to the Licensee.

* “**Gem Server**”: means the server which provides the Software Releases online, protected behind an authentication token.

* “**(License) Fees**”: means the applicable fees for the Software License set forth on the Order.

* “**Licensee Product**”: means any application, framework or element developed by Licensee with which the Software is integrated for marketing and distribution to end users under Licensee’s own trademarks and product names.

* “**Order**”: means the order mentioned in the recitals of the present terms and conditions.

* “**Party(ies)**”: means individually or collectively the Licensee and/or LoGeek.

* “**Patches**”: means changes made to the Software that restore substantial conformity with the applicable Documentation.

* “**Release(s)**”: means any maintenance release relating to the Software including but not limited to Error fixes and Patches.

* “**Representative**”: means the representative of the Licensee identified in the Order.

* “**Software**”: means package of the software programs and/or libraries named and described on the Order, including the Releases that may be provided by LoGeek to the Licensee. Unless otherwise specified in the Order, the Software corresponds to Kiba Pro.

* “**Use**”: means access, install, store, load, execute and display one copy on one device at a time.

## ARTICLE 2 - PURPOSE OF THE LICENSE

LoGeek shall have sole and exclusive ownership of all right, title and interest in and to the Software and all modifications, versions, Patches, Releases and enhancements thereof (including, without limitation, ownership of all trade secrets, trademarks, brands, logos, and copyrights pertaining thereto), and LoGeek grants limited rights to the Licensee, as specified in this Agreement.

The Licensee must have an active subscription to Use the Software. In case of termination of the Agreement, the Licensee must immediately stop using the Software and comply with the provisions of the article “Termination”.

The Licensee can choose in the Order between the different kinds of licenses, i.e. “Standard License” and “Appliance License”, described hereafter.

### 2.1 - Common provisions

Whatever kind of license the Licensee subscribes to, the Licensee shall have no rights other than the ones expressly granted in this Agreement. In particular, the Licensee shall not (and shall not allow any third party to):

* Decompile, disassemble, or otherwise reverse engineer the Software or attempt to reconstruct or discover any source code, underlying ideas, algorithms, file formats or programming interfaces of the Software by any means whatsoever (except and only to the extent that applicable law prohibits reverse engineering restrictions);
* Distribute, sell, sublicense, rent, lease or use the Software for time sharing, hosting, service provider or like purposes;
* Concerning those Licensees who have an Appliance License, Use the Software other than by including all or part of the Software within the Licensee Product, which must have substantially different functionality than the Software;
* Allow any third party to use all or part of the Software for software development or application development purposes;
* Remove any product identification, proprietary, copyright or other notices contained in the Software;
* Publicly disseminate performance information or analysis (including, without limitation, benchmarks) from any source relating to the Software;
* Utilize any equipment, device, software, or other means designed to circumvent or remove any form of Source URL or copy protection used by LoGeek in connection with the Software, or use the Software together with any authorization code, Source URL, serial number, or other copy protection device not supplied by LoGeek;
* Use the Software to develop a product which is competitive with any LoGeek product offerings;
* Use unauthorized Source URLS or keycode(s) or distribute or publish source codes, Source URLs or keycode(s), except as may be expressly permitted by LoGeek in writing. If your unique Source URL is ever published, LoGeek reserves the right to terminate the Agreement without notice.

### 2.2 - Software “Standard License”

In consideration of the payment of the License Fees, and subject to compliance with all the terms and conditions of this Agreement, LoGeek grants the Licensee a non-exclusive, non-transferable, non-perpetual, non-reusable and limited license to Use the Software for the period (the start date and the duration) and the scope provided for in the Order (the “**(Software) License**”).

The Software License is subject to one or more of the license parameters specified in the Order. 

The Licensee can use the Software only on its own servers and provided these servers are under its sole control. However the Licensee is authorized to Use the Software for providing services the type of “Software as a Service (SaaS)”.

Every entity or organization running the Software on its own servers must have its own license. There is no limit to the number of servers or environments used by that entity or organization.

The Standard License does not allow any distribution rights. Software has an “Appliance License” option which does allow the Licensee to distribute it (see below).

All rights not expressly granted to the Licensee shall be prohibited. The attention of the Licensee is drawn on the fact that it shall not, under a Standard License:

* Modify any part of the Software (except as described in article 3.3 Modifications), create a derivative work of any part of the Software, or incorporate the Software;
* Distribute the Software as part of a product, "appliance" or "virtual server";
* Distribute the Software on any server which is not directly under control of the Licensee.

The Licensee will access the Software source code. The Licensee acknowledges that such access does not change its rights on the Software.

The Licensee may not remove or alter any proprietary rights, trademarks, brands or any other kind of legend that may be embedded in the Software or figure thereon.

### 2.3 - Software “Appliance License” 

Through an “Appliance License”, LoGeek grants Licensee a non-exclusive, non-perpetual, sublicensable, non-reusable, worldwide rights to install, reproduce, Use and further develop Software as an integral part of a Licensee Product. The period (the start date and the duration) and the scope of the Appliance License are specified in the applicable Order.

Sublicensing of Software is only allowed when incorporated with Licensee Product supplied to third party.

Software shall only be incorporated into such Licensee Products as specified in this Agreement.
 
Licensee is prohibited from reselling any Licensee Product in any manner that will infringe this Agreement. Licensee is prohibited from granting its customers permission to use the Software in a manner that contradicts the terms of this Agreement. The third party that acquires a Licensee Product cannot be granted more rights than those granted under the Software Standard License.

LoGeek acknowledges and agrees that (i) Licensee retains all rights, title and interest in and to any Licensee Product, and LoGeek does not acquire any right, title, or interest in or to such Product; and (ii) any integration of Software with Licensee Product shall not affect or diminish Licensee’s rights, title, and interest in and to such Licensee Product. On the contrary, integration of the Software in a Licensee Product does not grant the Licensee other rights to the Software than the ones expressly granted as stated in the first paragraph of this “Software Appliance License” article. 

If Licensee purchases an Appliance License, Licensee may distribute the Software in any Licensee Product  that Licensee develops using the Software in accordance with this Agreement, provided that such distribution does not violate the restrictions set in this Agreement. 

Licensee must not remove, obscure or interfere with any copyright, acknowledgment, attribution, trademark, warning or disclaimer statement affixed to, incorporated in or otherwise applied in connection with the Software. Licensee is required to ensure that the Software is not reused by or with any applications other than those with which Licensee distributes it as permitted herein. For example, if Licensee installs the Software on a customer’s server, that customer is not permitted to use the Software independently of the Licensee Product. 

Licensee must inform LoGeek of Licensee’s knowledge of any infringing use of the Software by any of Licensee’s customers. Licensee is liable for compliance by those third parties with the terms and conditions of this Agreement applicable to the Software Standard License. 

Licensee will not owe LoGeek any royalties for the distribution of the Software in accordance with this Agreement, other than the Appliance License Fees.

## ARTICLE 3 - REQUIREMENTS, DELIVERY, MODIFICATIONS AND RESTRICTIONS

### 3.1 - Software requirements

The Licensee must ensure that the Software is installed on a technical environment that meets the minimum required specification as set out by LoGeek in the Documentation.

The Licensee shall:

* Use the Software and all other materials provided hereunder only in accordance with the terms of the License Agreement;
* Promptly install all Releases distributed by LoGeek if applicable and especially if the Release has been provided by LoGeek for security or safety reasons. The Licensee acknowledges that any failure to do so may result in Licensee’s inability to benefit fully from the Software and/or that the Software may operate in a degraded mode. 

### 3.2 - Delivery process

All Software and Documentation shall be delivered by digital means, unless otherwise specified on the applicable Order. Software shall be deemed delivered when it is made available to download by Licensee (“**Delivery**”).

The purchase gets the Licensee unique access credentials for downloading the Software gem. These credentials allow the Licensee to access the Gem Server (bundle install) during the duration of the Agreement. The Licensee must keep these access credentials private.

If LoGeek finds the Licensee access credentials are ever publicized, a request to remove them will be sent via email to the Licensee and the credentials will be revoked. LoGeek reserves the right to permanently remove access and terminate the Agreement for cause if the situation happens again.

### 3.3 - Modifications

#### 3.3.1 - Modifications to the Software

LoGeek shall provide the Licensee with source code so Licensee can create modifications to the original Software (“**Modifications**”). Modifications include but are not limited to: 
* Any addition to or deletion from the content of a file included in the Software or previous Modifications created by Licensee; or
* Any new file that contains any part of the Software or previous Modifications.

Should Licensee create any Modification, Licensee shall inform promptly LoGeek of such Modification and shall put at LoGeek’s disposal such Modification.

Licensee hereby assigns to LoGeek the most extensive intellectual property rights in relation to the Modifications. The rights so assigned include the rights of use, reproduction, modification and distribution. They are assigned to LoGeek and its licensees and successors free of charge, on a worldwide basis and for the longest period of legal protection. These rights are assigned on a non-exclusive basis, Licensee retaining the right to freely make use of the said Modifications.

Such assignment of rights is governed not only by the paragraph hereabove but also by the Contribution License Agreement. By signing the Agreement, the Licensee agrees with the terms of the Contribution License Agreement.

#### 3.3.2 - Modifications to the open source version of the Software

Following the signing of this Agreement, and for as long as this Agreement is valid, the terms corresponding to the license purchased by the Licensee and object of this Agreement may be extended, at the discretion of the Licensee, to the version of the Software as put by LoGeek in the open source community.

It is the Licensee’s responsibility to inform Logeek in the event the Licensee decides to Use the open source version of the Software under the terms of this Agreement. 

Should the Licensee make such a decision, any Modifications to the open source version of the Software will be subject to the provisions of the article “Modifications to the Software”.

### 3.4 - Third party programs or libraries

The Software may include third party software programs or libraries that are subject to open source, freeware or other commercial licenses and/or notices that LoGeek is required to distribute with the Software. These licenses and notices are available to the Licensee in files in the Software directory, in documentation that accompanies the Software or via a supplementary list provided by LoGeek. The Licensee shall comply with these agreements and notices. 

This Agreement does not modify any rights or obligations that the Licensee may have under the third party licenses and notices applicable to such programs. Any use of such program is subject to the rights and obligations under the applicable license.

### 3.5 - Responsibilities

LoGeek will assume no liability nor grant any warranty with respect to Errors, trouble or damages that have been caused by:
* Modifications, alterations or customizations of the Software not made by LoGeek;
* Use of the Software in a manner that is in violation of this Agreement, or that is contrary to the Documentation or to instructions given by LoGeek;
* Use of the Software with hardware, operating systems or other supporting environment other than the ones specified by LoGeek as being compatible with the Software;
* Use of the Software in a manner for which it was not designed;
versions of Software other than the most recent Release provided by LoGeek to the Licensee;
* Failure caused by components or technology on which the Software are installed and/or by programs used in conjunction with the Software;
* Open source software or any other third-party software and products, even included in the Software;
* Software damaged by external physical factors, natural disaster, act of nature, act of God, deliberate act, misuse, accident.

The Licensee is responsible for making and keeping adequate backup copies of data, databases and application programs and agrees that (i) it is solely responsible for any and all restoration and re-creation of damaged, altered or lost data and programs and (ii) LoGeek shall not be liable for any direct or indirect corresponding loss or damage.

## ARTICLE 4 - PRIORITY EMAIL SUPPORT

An active Agreement gives access to “Priority Support”. 

Priority Support covers one (1) email request per quarter. LoGeek will use reasonable endeavours to answer within two (2) French working days. Scope is limited to Kiba and Kiba Pro features and APIs, not the application or infrastructure. For support, email support@logeek.fr. Please email using the same domain as the original license email or explain your connection to the licensed company. 

## ARTICLE 5 - CUSTOM SUPPORT AND MAINTENANCE

This Agreement does not include custom support or maintenance or other services. If the Licensee wishes to benefit from such services, a separate contract shall be put into place.

Notwithstanding the foregoing, LoGeek may, at its discretion, decide to provide the Licensee with Releases, being understood that LoGeek makes no commitment under this Agreement to provide such Patches or other Releases.

Releases of the Software that may be provided by LoGeek to the Licensee are subject to the terms of this License Agreement. When the Licensee receives a Release that replaces previously licensed Software, its rights under this Agreement with regard to the previously licensed Software automatically ends when it deploys the Release.

Notwithstanding the foregoing, LoGeek may also, at its discretion, decide to provide an email address for assistance to Licensee, being understood that such assistance shall be delivered only if deemed appropriate by LoGeek and without commitment nor warranty of any kind.

## ARTICLE 6 - LIMITED WARRANTY

IN SO FAR AS PERMITTED BY LAW, THE SOFTWARE SHALL BE DELIVERED “AS IS” WITHOUT ANY WARRANTY OR GUARANTEE WHATSOEVER, WRITTEN OR ORAL, EXPRESS OR IMPLIED. LOGEEK EXPRESSLY DECLINES ANY IMPLICIT WARRANTY OR GUARANTEE REGARDING COMMERCIAL QUALITY, SATISFACTORY QUALITY, PERFORMANCE, AND/OR SUITABILITY FOR A PARTICULAR USE.

LOGEEK IS NOT RESPONSIBLE FOR THE RESULTS OBTAINED FROM THE USE OF THE SOFTWARE.

UNDER NO CIRCUMSTANCES SHALL LOGEEK BE HELD LIABLE FOR ANY LOSS OF PROFITS, LOSS OF COMMERCIAL OPPORTUNITY, LOSS OF DATA, INTERRUPTION OF WORK, BODILY HARM, OR ANY INDIRECT, SPECIAL, INCIDENTAL, PUNITIVE, FORTUITOUS, CONSECUTIVE, OR DAMAGE OF ANY KIND WHATSOEVER RESULTING FROM THE USE, THE IMPOSSIBILITY OF USING, OR RESULTS OF THE USE OF THE SOFTWARE, EVEN IF LOGEEK WAS INFORMED OF THE POSSIBILITY OF SUCH DAMAGE. THE USE OF THE SOFTWARE BY THE LICENSEE SHALL BE ENTIRELY AT ITS OWN RISKS AND PERILS. SHOULD THE SOFTWARE BE FOUND DEFECTIVE, THE LICENSEE SHALL BEAR ALL COSTS FOR SERVICING, REPAIRS, OR CORRECTIONS AND, IN SO FAR AS ALLOWED BY LAW, THE LICENSEE SHALL UNCONDITIONALLY RENOUNCE ALL RIGHTS, LEGAL OR OTHERWISE, IT MAY HAVE AGAINST LOGEEK FOLLOWING SUCH FAULTS OR DEFAULTS.

Notwithstanding the foregoing, these presents shall not be construed as to limit the legal rights which may not be renounced according to applicable laws. IN SUCH CASE, THE CORRESPONDING GUARANTEES SHALL BE LIMITED TO THE DURATION OF THE CONTRACTUAL WARRANTY PERIOD OR THE MINIMUM PERIOD REQUIRED BY APPLICABLE REGULATIONS.

Any lawsuit originating from using the Software shall be prescribed after one (1) year from the last delivery of the Software to the Licensee.

## ARTICLE 7 - INTELLECTUAL PROPERTY WARRANTY

LoGeek warrants the Licensee that the delivery of the Software shall not infringe any intellectual property (copyright, patent right, trademark right) of any third party.

LoGeek shall indemnify and hold the Licensee harmless from and against any third party claims and/or actions and/or proceedings relating to any item provided by LoGeek to the Licensee, based on an infringement of intellectual property rights, and shall bear, subject to the provisions of the article “Liability”, all related definitive damages and indemnities which may result from such claims and/or actions and/or proceedings in relation to this Agreement, provided that: (i) the Licensee promptly notifies LoGeek in writing of the claim, action or proceeding and provides LoGeek with all information useful for defending its interests; (ii) the Licensee agrees that LoGeek shall have sole and exclusive control of the defense of the claim, action or proceeding, should LoGeek so desire and (iii) the Licensee makes no admission or statement of any kind whatsoever that may prejudice LoGeek’s defense. 

The indemnification referred to in this section is limited to the payment by LoGeek of all damages and costs finally awarded for the claim, based on the demonstration of a counterfeit exclusively under LoGeek’s responsibility, or settlements costs approved in writing by LoGeek.

If the Software infringes a third party’s intellectual property right or if LoGeek reasonably believes it is likely to infringe a third party’s intellectual property right, LoGeek may, at its discretion (i) procure the right for the Licensee to continue using the Software or (ii) replace or modify the Software and to make its use non-infringing.

If LoGeek cannot do either of the above, LoGeek or the Licensee may terminate automatically and without judicial formalities this Agreement (ipso jure) subject to LoGeek reimbursing the Licensee the residual value of the non-compliant Software purchase price, with prorata temporis amortization over a maximum period of three (3) years from the date the Software was delivered.

The foregoing warranty does not apply (i) if the Software has been altered, modified, customized, except by LoGeek; (ii) in case of unauthorized use of the Software or of use of the Software in excess of the License Software granted to the Licensee; (iii) to any unsupported Release of the Software or if the Licensee does not use the latest Release provided by LoGeek or (iv) to any open source software or to any other third party code embedded in the Software which may be subject to specific terms and conditions provided to the Licensee.

The preceding provisions set LoGeek’s liability limits with respect to the Licensee with regard to intellectual property rights infringement. Therefore, LoGeek shall not provide any guarantee other than that described in the present article regarding counterfeit.

## ARTICLE 8 - PAYMENT OF CHARGES

### 8.1 - License Fees

The Licensee shall pay the Fees set forth on the Order. 

LoGeek will, unless otherwise stated on the Order, invoice the Licensee on the date of validation by LoGeek of the Order. Any Fees paid will not be refunded.

All fees set forth herein exclude value added tax, sales tax, use and excise taxes, and any other similar taxes, duties and charges of any kind imposed by any federal, state or local governmental entity. All fees will be heightened by any prevailing rights or taxes on the billing date. The Licensee is responsible for any taxes and the Licensee will pay LoGeek for the Software License without any reduction for these amounts.

### 8.2 - Payment terms

All invoices must be paid by the Licensee in full under 14 days after the date of issuance of the applicable invoice. 

Any late payment shall automatically result, on the day following the settlement date shown in the invoice, in the payability of late payment interests in an amount equal to the interest rate applied by the European Central Bank to its latest refinancing transaction increased by ten (10) percentage points.

LoGeek shall also be entitled to recover all costs including reasonable expenses, legal fees and cost of collection, in an amount equal to actual collection costs ant that, in any event, shall not be less than the flat fee provided for in French Code of commerce (40 euros).

If the Licensee contests part of an invoice, it will only be entitled to withhold payment of this part until the dispute on this part has been solved. In no case it will be entitled to suspend payment of the non-contested parts of the invoice.

## ARTICLE 9 - DATA PROTECTION

Each Party warrants and undertakes that it will duly observe all its respective obligations under the applicable Data Protection Laws. 

LoGeek is responsible for processing personal data regarding managing contractual relationships with its clients including the Licensee.

Personal data collected by LoGeek is needed for its processing and is intended for LoGeek’s relevant departments and, where appropriate, its subcontractors and co-contractors, for the requirements of executing the Agreement.

Pursuant to the legal provisions regarding protecting personal data, and under the conditions and to the extent provided by the applicable regulation, each Licensee’s employee concerned shall have a right to query, access, rectify, oppose, obtain erasure or restriction of processing   regarding its personal data – rights which may be exercised by mail sent to the attention of support@logeek.fr, accompanied, if deemed appropriate by Logeek, by a copy of the relevant person’s identification papers.

## ARTICLE 10 - AUDIT

LoGeek shall be permitted to audit (at least once annually and in accordance with LoGeek standard procedures, which may include on-site and/or remote audit) the usage of the Software.

The Licensee shall cooperate reasonably in the conduct of such audits. 

Notwithstanding any other rights LoGeek may have, in the event an audit reveals that (i) the Licensee underpaid license fees and/or Services fees to LoGeek and/or (ii) that the Licensee has used the Software in excess of the rights granted or license quantities stated in the Order Form, Licensee shall pay such underpaid fees and/or for such excess usage based on the applicable rates in effect at the time of the audit. 

Notwithstanding Logeek’s rights to claim for damages and to terminate the Agreement, reasonable costs of LoGeek’s audit shall be paid by the Licensee if the audit results indicate usage non-compliant with this Agreement.

## ARTICLE 11 - LIABILITY

The Licensee acknowledges and agrees that it has accepted the terms of this Agreement in the knowledge that LoGeek’s liability is limited and that the prices and charges payable have been calculated so as to reflect such limitations and thus represent a reasonable and commercial allocation of risk between the Parties.

In no event shall LoGeek be liable for indirect damages, loss of profits, loss of goodwill, loss of business, loss of revenue, loss of contracts, loss of anticipated savings, loss of data, damage to or corruption of data or business information arising out of this Agreement or arising out of the use of or inability to use the Software, even if LoGeek has been advised of, knew or should have known of the possibility of such damages, and whether in a cause of action sounding in contract, tort, strict liability or otherwise.

LoGeek’s total aggregate liability, for the period of this Agreement, for all claims and damages arising from negligence, breach of contract, warranty or indemnity, or any other legal theory of liability or otherwise, under or in connection with this Agreement, shall not exceed  an amount equivalent to fifty percent of the Fees (excluding taxes) payable or paid by the Licensee to LoGeek under this Agreement, during the year of occurrence of the (most serious) act or omission giving rise to the liability.

The limitation of liability has effect in relation both to any liability expressly provided for under this Agreement and to any liability arising by reason of the invalidity or unenforceability of any term of this Agreement.

The Licensee has a duty to mitigate the damages that would otherwise be recoverable from LoGeek pursuant to the Agreement by taking appropriate and reasonable actions to reduce or limit the amount of such damages.

For the avoidance of doubt, the provisions of this Article will survive the expiration or termination of the Agreement for any reason.

Regardless of any statute or law to the contrary, any claim or cause of action arising out of or related to use of the Services must be filed within one year after such claim or cause of action arose or be forever barred.

The Licensee acknowledges that by entering into and performing its obligations under the Agreement, LoGeek will not assume and should not be exposed to the business and operational risks associated with the Licensee’s business, and the Licensee therefore agrees to indemnify and defend LoGeek from any and all losses arising out of, under or in connection with any third-party claim, including any claim from direct or indirect user of the Software.

## ARTICLE 12 - TERMINATION

### 12.1 - Termination at the end of the contractual period

Each Party can terminate the Agreement at the end of the contractual period by informing (e.g. by email) the other Party in writing, at least 2 weeks before the end of the contractual period, of its intention not to renew. 

If neither Party has informed the other of its intention not to renew, within the 2-week period, the Agreement will be automatically renewed.

If confirmation of payment is not received by the end of a 14-day period following the renewal date, LoGeek retains the right, without prejudice to its other rights or remedies, to automatically and without any further formality (_ipso jure_) terminate the Agreement. In such case the consequences of termination described below shall apply.

### 12.2 - Termination for cause

Each Party shall have the right, without prejudice to its other rights or remedies, to terminate the Agreement immediately and without any further formality (ipso jure) by written notice to the other Party if the other Party is in material breach of any of its obligations under the Agreement and either such breach is incapable of remedy or is capable of remedy and the defaulting Party shall have failed substantially to remedy that breach within 30 days of written notice to the defaulting Party specifying the breach and requiring its remedy.

LoGeek may without any further formality (ipso jure) and without any indemnity terminate the Agreement if the Software is used in a manner not compliant with the applicable Documentation or with this Agreement. 

### 12.3 - Consequences of termination

Upon expiration or termination of the Agreement for any reason, the Licensee shall, upon effective termination date of the Agreement, cease any Use of the Software, and destroy it, or upon LoGeek’s request, deliver to LoGeek, any and all copies of the Software. 

All sums paid by the Licensee to LoGeek shall remain acquired by the latter.

## ARTICLE 13 - MODIFICATION OF THE TERMS

LoGeek reserves the right to change or modify these Terms or any other LoGeek terms, conditions, or policies related to use of the Software at any time and at its sole discretion by posting revisions on the GitHub Kiba repository, at the following url:

[https://github.com/thbar/kiba/blob/master/COMM-LICENSE.md](https://github.com/thbar/kiba/blob/master/COMM-LICENSE.md)

Continued use of the Software following the posting of these changes or modifications will constitute the Licensee’s acknowledgement and agreement to such changes or modifications. 

## ARTICLE 14 - MISCELLANEOUS

**Insurance**. At all times during the term of this Agreement, each Party shall maintain adequate insurance policies with a reputable insurance company.

**Communication**. The Licensee hereby authorizes LoGeek to mention it as a business reference, to make public reference, in general terms, to the Software provided to the Licensee and to reproduce its trademark and logo for such communication and promotion purposes. 

**Waiver**. No omission, delay or forbearance on the part of a Party in enforcing any right or remedy arising in connection with the Agreement will be construed or operate as a waiver of either that or any other right or remedy. 

No waiver by a Party will be valid unless in writing and signed by a duly authorized representative of that Party.

**Transfer**. LoGeek may at any time sublicense, assign, novate or deal in any other manner with any or all of its rights and obligations under the Agreement provided it gives written notice to the Licensee.

This Agreement may not be transferred, in whole or in part, with or without valuable consideration, by the Licensee, whether such transfer occurs due to a merger, absorption, acquisition, scission, or any other operation without prior written consent from LoGeek.

**Subcontracting**. LoGeek reserves the right to subcontract the execution of the services to third parties qualified by LoGeek. LoGeek will however remain primarily responsible for the execution of the services.

**Applicable laws and export control**. Licensee agrees to comply with all applicable laws and regulations, including laws, regulations, orders or other restrictions on export, re-export or redistribution of Software and particularly with export controls imposed by the United States.

**Survival**. Those provisions that by their nature should survive termination of the Agreement will survive termination of the Agreement.

**Remainder**. The invalidity, illegality or unenforceability of any of the provisions of the Agreement shall not affect or impair the continuation in force of the remainder the Agreement.

**Indemnification**. The Licensee agrees to defend, indemnify, and hold harmless LoGeek from and against any lawsuits, claims, losses, damages, fines and expenses (including attorneys' fees and costs) arising out of Licensee’s use of the Software or breach of this Agreement.

**Attorneys’ fees and costs**. The prevailing party in any action to enforce this Agreement will be entitled to recover its attorneys’ fees and costs in connection with such action.

**Entirety**. This Agreement contains the whole agreement between the Parties relating to the subject matter of this Agreement at the date of this Agreement to the exclusion of any terms implied by law which may be excluded by contract and supersedes any previous written or oral agreement between the Parties in relation to the matters dealt with in this Agreement.

## ARTICLE 15 - DISPUTE RESOLUTION

In the event of a dispute arising out of or in connection with the Agreement, the Parties undertake to set up a diligent, good faith attempt to resolve amicably all disputes in accordance with the following principles.

In this respect, as soon as a Party considers there is a dispute with the other Party, it will summon a meeting with chief executive level representatives of both Parties in order to discuss possible settlement of the said dispute. Such meeting shall be summoned by registered letter, return receipt requested, and shall take place within 15 days of receipt of the said letter by the recipient Party.

Should, within the aforementioned 15-day time period, the dispute not be settled or the meeting not be held, then each Party will be free to submit the dispute to a court of competent jurisdiction.

## ARTICLE 16 - APPLICABLE LAW AND JURISDICTION

The Agreement shall in all respects be governed by and construed exclusively (save for any applicable mandatory laws) in accordance with the laws of France. 

If the Parties fail to settle a dispute in accordance with the dispute resolution process set forth in section “Dispute resolution” above, any dispute arising from or relating to the Agreement shall be submitted to the courts of **PARIS (FRANCE)**.
